-- Leo's gemini proxy

-- Connecting to git.thebackupbox.net:1965...

-- Connected

-- Sending request

-- Meta line: 20 text/gemini

repo: fmrl-client
action: commit
revision:
path_from:
revision_from: 32f0a5920f175393039635db7e86492117fa576c:
path_to:
revision_to:

git.thebackupbox.net

fmrl-client

git://git.thebackupbox.net/fmrl-client

commit 32f0a5920f175393039635db7e86492117fa576c
Author: epoch <epoch@enzo.thebackupbox.net>
Date:   Sat Jan 15 06:12:44 2022 +0000

    fmrl-status-notify-send will not show anything unless the status was updated. has -f to override.

diff --git a/fmrl-status-notify-send b/fmrl-status-notify-send

index 99a03e85d8d5e007fd32063d6fae87e614ded570..

index ..5a20b39c8896216f94d3f020012ade61e48eeb70 100755

--- a/fmrl-status-notify-send
+++ b/fmrl-status-notify-send
@@ -1,4 +1,15 @@
 #!/usr/bin/env bash
-. fmrl-get-status
+
+if [ "$1" = "--force" -o "$1" = "-f" ];then
+  force=1
+  shift
+fi
+
+. "$(which fmrl-get-status)"
+
+if [ "$code" != 200 -a ! "$force" ];then
+  echo "code: $code"
+  exit 1
+fi

 notify-send -i "${avatar_cache}" "fmrl status for: \"$u_name\" <@${user}@${host}>" "$u_emoji $u_status"$'\n'"$u_media_verb $u_media"

-----END OF PAGE-----

-- Response ended

-- Page fetched on Sun Jun 2 18:31:07 2024